<div class="container_AD" [class.is-mobile_AD]="isMobile.matches">

    <mat-toolbar class="toolbar_AD">
        <button mat-icon-button (click)="snav.toggle()">
            <mat-icon>menu</mat-icon>
        </button>
        <h1 class="app-name_AD">{{RouteTitle}}</h1>
        <div class="nav-search-container">
            <mat-form-field appearance="fill" rounded search>
                <mat-label>Fill form field</mat-label>
                <input matInput placeholder="Placeholder">
                <mat-icon matSuffix>search</mat-icon>
            </mat-form-field>
        </div>

        <button mat-icon-button [matMenuTriggerFor]="app_menu" class="menu-button">
            <mat-icon>more_vert</mat-icon>
        </button>
        <mat-menu #app_menu="matMenu" xPosition="before">
            <!-- <mat-checkbox [checked]="isThemeDark" (click)="$event.stopPropagation()"
                class="mat-menu-item theme-selector-is-dark">Dark
            </mat-checkbox> -->
            <mat-slide-toggle (click)="$event.stopPropagation()" class="mat-menu-item theme-selector-is-dark"
                [checked]="Dark" [disabled]="disabled" (change)="setDarkness()">
                Darkness
            </mat-slide-toggle>
            <!-- <button mat-menu-item (click)="onSetTheme('blue-dark-theme')">
                <mat-icon class="material-icons-round">brightness_4</mat-icon>
                <span>dark</span>
            </button>
            <button mat-menu-item (click)="onSetTheme('blue-light-theme')">
                <mat-icon class="material-icons-round">brightness_5</mat-icon>
                <span>light</span>
            </button> -->

            <mat-grid-list cols="2" class="theme-selectors-container">
                <mat-grid-tile *ngFor="let theme of Themes">
                    <button mat-button class="theme-selector" (click)="$event.stopPropagation(); setTheme(theme)">
                        <div [attr.class]="theme + ' theme-primary center'">
                            <div [attr.class]="theme + ' theme-accent'"></div>
                            <div [attr.class]="theme + ' theme-warn'"></div>
                            <mat-icon *ngIf="activeTheme === theme" class="center theme-check">check_circle
                            </mat-icon>
                        </div>
                    </button>
                </mat-grid-tile>
            </mat-grid-list>

            <button mat-menu-item>
                <mat-icon class="material-icons-round">exit_to_app</mat-icon>
                <span>Cerrar sesión</span>
            </button>
        </mat-menu>

    </mat-toolbar>

    <mat-sidenav-container class="container_AD" [style.marginTop.px]="isMobile.matches ? 0 : 0">

        <mat-sidenav #snav [mode]="isMobile.matches ? 'over' : 'side'" [fixedInViewport]="isMobile.matches"
            fixedTopGap="56" class="small-drawer">
            <app-sidenav></app-sidenav>
        </mat-sidenav>

        <mat-sidenav-content>
            <perfect-scrollbar *ngIf="type === 'component'" class="scroll-container" fxFlex="auto" [config]="config"
                [scrollIndicators]="true" (psXReachEnd)="onScrollEvent($event)" (psYReachEnd)="onScrollEvent($event)"
                (psXReachStart)="onScrollEvent($event)" (psYReachStart)="onScrollEvent($event)">
                <div class="margin-content">
                    <router-outlet></router-outlet>
                </div>
            </perfect-scrollbar>
        </mat-sidenav-content>

    </mat-sidenav-container>

</div>